from distutils.core import setup, Extension


interpol_spline_linear_do = Extension("interpol.spline.linear.do",
		sources = ["c/splines/linear/linear_splines.c", "c/internal_deque.c"])

setup(name = "interpol",
	version = "0.0.1",
	description = "a numerical library for working with interpolation",
	ext_modules = [interpol_spline_linear_do],
	packages = [
		"interpol"
	],
	package_dir = {"interpol": "py/interpol"},
	url="https://github.com/daknuett/python3-interpol",
	author = "Daniel Knüttel",
	author_email = "daniel.knuettel@daknuett.eu")
